pdumodel::Circuit_1_0_3 Interface Reference

BCM circuit. More...

`import"Circuit.idl";`

## Classes

struct | Config
| Circuit configuration. More...
struct | PoleSettings
| Circuit pole settings. More...
struct | Sensors
| Circuit sensors. More...
struct | Settings
| Circuit settings. More...

## Public Types

enum | Type { ONE_PHASE_LN, ONE_PHASE_LL, ONE_PHASE_LLN, THREE_PHASE }
| Circuit type. More...

## Public Member Functions

Config | getConfig ()
| Retrieve the circuit configuration. More...
Sensors | getSensors ()
| Retrieve the circuit sensors. More...
vector< Pole_5_0_0 > | getPoles ()
| Retrieve the list of circuit poles. More...
Settings | getSettings ()
| Get the circuit settings. More...
int | setSettings (in Settings settings)
| Change the circuit settings. More...

## Public Attributes

constant int | ERR_INVALID_PARAM = 1
| Invalid parameters.
constant int | ERR_METER_CHANNEL_BUSY = 2
| Meter channel already in use.
valueobject | SettingsChangedEvent: event::UserEvent { Settings oldSettings
| Event: Circuit settings have changed. More...
Settings | newSettings
| Settings after change.

## Detailed Description

BCM circuit.

## Member Enumeration Documentation

## Type

enum pdumodel::Circuit_1_0_3::Type

Circuit type.

Enumerator
ONE_PHASE_LN | One-phase line-neutral.
ONE_PHASE_LL | One-phase line-line.
ONE_PHASE_LLN | One-phase line-line-neutral.
THREE_PHASE | Three-phase.

## Member Function Documentation

## getConfig()

Config pdumodel::Circuit_1_0_3::getConfig | ( |  | ) |

Retrieve the circuit configuration.

Returns
  Circuit configuration

## getPoles()

vector<Pole_5_0_0> pdumodel::Circuit_1_0_3::getPoles | ( |  | ) |

Retrieve the list of circuit poles.

Returns
  List of circuit poles

## getSensors()

Sensors pdumodel::Circuit_1_0_3::getSensors | ( |  | ) |

Retrieve the circuit sensors.

Returns
  Circuit sensors

## getSettings()

Settings pdumodel::Circuit_1_0_3::getSettings | ( |  | ) |

Get the circuit settings.

Returns
  Circuit settings

## setSettings()

int pdumodel::Circuit_1_0_3::setSettings | ( | in Settings | settings | ) |

Change the circuit settings.

Parameters

  settings | New circuit settings

Returns
  0 if OK
  1 if any parameters are invalid
  2 if the requested meter channel is already in used

## Member Data Documentation

## SettingsChangedEvent

valueobject pdumodel::Circuit_1_0_3::SettingsChangedEvent

Event: Circuit settings have changed.

Settings before change

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/Circuit.idl